#include <SDL_mixer.h>

class Music
{
    private:
    Mix_Music* music;
    public:
    Music(const char* path);
    void play(int loops = -1);
    void pause();
    void stop();
    void resume();
    void setVolume(int volume);
    ~Music();
};

class Effect
{
    private:
    Mix_Chunk* effect;
    public:
    Effect(const char* path);
    void setVolume(int volume);
    void play(int loops = 0, int channel = -1);
    ~Effect();
};